Skip to main content
GET
/
api
/
invoices
/
{invoice_uid}
/
attachments
List invoice attachments
curl --request GET \
  --url https://dev.exante.app/api/invoices/{invoice_uid}/attachments \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "status_code": 200,
  "message": "Success",
  "data": {
    "items": [
      {
        "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "filename": "<string>",
        "content_type": "<string>",
        "file_size": 123,
        "uploaded_by": 123,
        "created_on": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "is_public": true,
        "invoice_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "presigned_url": "<string>"
      }
    ],
    "_meta": {
      "page": 123,
      "per_page": 123,
      "total_pages": 123,
      "total_items": 123
    },
    "_links": {
      "self": "<string>",
      "next": "<string>",
      "prev": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_uid
string<uuid>
required

Invoice UID

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:10
Required range: 1 <= x <= 100

Response

Paginated attachment list

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
Example:

"Success"

data
object